package rmiEcho;

import java.rmi.Naming;

public class RmiEchofloatClient {

	public static void main(String argv[]) {
    
        if(argv.length != 2) {
            System.out.println("java EchoClient host servername");
            System.exit(1);
        }
        
        System.out.println("\n\nEchoing float data to/from server\n\n");
        try {
            Echofloat echoService = (Echofloat) Naming.lookup("//" + argv[0] + "/" + argv[1]);
            float values [] = { (float)1.1, (float)2.2, (float)3.3 };
            int counter = 0;
            
            while(true) {
                int i = counter++ % values.length;
                float theEcho = echoService.echo(values[i]);
                System.out.println(theEcho);
                Thread.sleep(2000);
            } 
        } catch (Exception e) { 
            e.printStackTrace(); 
            System.exit(2); 
        }
	}
}

