
// REMOTE Interface

package examples.hello;

// remote interface must be public, otherwise client will get an error
// remote interface must extend the interface java.rmi.Remote
public interface Hello extends java.rmi.Remote {

    // each method must delare java.rmi.RemoteException in its throws clause
    String sayHello() throws java.rmi.RemoteException;
}

// Note:  A remote object passed as an argument or return value must be declared as the remote interface, not thr implementation class.