package rmiEcho;

import java.rmi.Naming;

public class RmiEchoClientAlt {

	public static void main(String argv[]) {
    
        if(argv.length != 2) {
            System.out.println("java EchoClient host servername");
            System.exit(1);
        }
        
        System.out.println("\n\nStopping By Woods On A Snowy Eve by Robert Frost\n\n");
        try {
            Echo echoService = (Echo) Naming.lookup("//" + argv[0] + "/" + argv[1]);
            String tokens [] = { "Whose woods these are", 
                                "I think I know. ", 
                                "His house is in the village, though ", 
                                "He will not see me stopping here ", 
                                "To watch his woods fill up with snow.",
                                "The woods are lovely, dark and deep", 
                                "But I have promises to keep",
                                "And miles to go before I sleep,", 
                                "And miles to go before I sleep." };
            int counter = 0;
            while(true) {
                int i = counter++ % 9;
                if(i == 0)
                    System.out.println("\n=======================");
                String theEcho = echoService.echo(tokens[i]);
                System.out.println(theEcho);
                Thread.sleep(2000);
            }
        } catch (Exception e) { 
            e.printStackTrace(); 
            System.exit(2); 
        }
	}
}
