package rmiEcho;

import java.rmi.Naming;

public class RmiEchoClient {

	public static void main(String argv[]) {
    
        if(argv.length != 2) {
            System.out.println("java EchoClient host servername");
            System.exit(1);
        }
        
        System.out.println("\n\nThe JavaWocky by Clueless Carol\n\n");
        try {
            Echo echoService = (Echo) Naming.lookup("//" + argv[0] + "/" + argv[1]);
            String tokens [] = { "'Twas brillig ", 
                                 "and the slithy toves ",
                                 "did gyre and gimble ",
                                 "in the wabe.",
                                 "All mimsy were ",
                                 "the borogoves ",
                                 "And The mome raths ",
                                 "outgabe." };
            
            int counter = 0;
            while(true) {
                int i = counter++ % tokens.length;
                String theEcho = echoService.echo(tokens[i]);
                System.out.println(theEcho);
                Thread.sleep(2000);
            }
        } catch (Exception e) { 
            e.printStackTrace(); 
            System.exit(2); 
        }
	}
}
