/**
 *
 *  ElevatorFullException.java
 *  
 *       @author	Russell Lowke
 *      @version	Last modified 11_03_03
 *
 *    CSCIE-160:	Assignment Three
 *
 *        Usage:	java Elevator
 *
 *
 *  Description:	Class for handling the ElevatorFullException
 *
 *       Method:	throw new ElevatorFullException();
 *
 *        Notes:	Tab Width = 4
 *
 *					Variable prefix conventions:
 *						p 	stands for property of object, also known as a member variable or field
 *						m 	stands for "my" and means a local variable to a method
 *						Obj stands for an object from this package
 */


package cscie160.hw3;

public class ElevatorFullException extends Exception {

   /**
	*
    *	Print standard ElevatorFullException.
    *
    */
	public ElevatorFullException() {
		super("Elevator full exception thrown!");
    }
	
	
	/**
	*
    *	Print ElevatorFullException message.
    *
    */
	public ElevatorFullException(String mMessage) {
		super(mMessage);
    }
}

