/**
*
*  ATM.java
*  
*       @author	Russell Lowke
*      @version	Last modified 11_19_03
*
*    CSCIE-160:	Assignment Four
*
*
*  Description:	Interface for ATM, implemented by ATMProxy.java and 
*				ATMImplementation.java
*
*       Method:	Interface for ATM type objects
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  p   = "property" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.hw4;

public interface ATM {

    public void	deposit(float amount) throws ATMException;
    public void withdraw(float amount) throws ATMException;
    public float getBalance() throws ATMException;
    
}