/**
*
*  ATM.java
*  
*       @author	Russell Lowke
*      @version	Last modified 12_04_03
*
*    CSCIE-160:	Assignment Five
*
*
*  Description:	Interface for ATM, implemented by ATMImpl.java
*
*       Method:	Interface for ATM type objects
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.hw5;

public interface ATM extends java.rmi.Remote {

    public void	deposit(int mAccountNum, float mAmount) throws java.rmi.RemoteException, ATMException;
    public void withdraw(int mAccountNum, float amount) throws java.rmi.RemoteException, ATMException;
    public float getBalance(int mAccountNum) throws java.rmi.RemoteException, ATMException;
    
}