/**
*
*  ATMParams.java
*  
*       @author	Russell Lowke
*      @version	Last modified 01_14_04
*
*    CSCIE-160:	Assignment Six
*
*
*  Description:	Interface for ATMParams, implemented by ATMParamsImpl.java
*
*       Method:	Interface for ATMParams type objects
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.project;

public interface ATMParams {

    // interface for deffining constant parameters
    
    public static final int          DEPOSIT = 0;
    public static final int       WITHDRAWAL = 1;
    public static final int   BALANCEINQUIRY = 2;
    public static final int         TRANSFER = 3;
    
    public static final int	ACCOUNTSTRLENGTH = 7;
    
}