/**																			   |
*
*  Bank.java
*  
*       @author	Russell Lowke
*      @version	Last modified 01_14_04
*
*    CSCIE-160:	Final Project
*
*
*  Description:	Interface for Bank, implemented by BankImpl.java
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/
 

package cscie160.project;

public interface Bank extends java.rmi.Remote {
    
    public Account getAccount(int mAccountNum)
            throws java.rmi.RemoteException, SecurityException;
}