/**																			   |
*
*  Security.java
*  
*       @author	Russell Lowke
*      @version	Last modified 01_14_04
*
*    CSCIE-160:	Final Project
*
*
*  Description:	Interface for Security, implemented by SecurityImpl.java
*
*		 Notes: Tab Width = 4
*
*				Variable naming prefix conventions:
*				  f   = "field" of object, indicates member variable/field
*				  m   = "my", indicates a local variable to a method
*				  obj = indicates an object from this package
*/

package cscie160.project;

public interface Security extends java.rmi.Remote {
    
    public void authenticateAccounts(TransactionNotification mTransaction)
            throws SecurityException, java.rmi.RemoteException;
    public void authorizeOperation(TransactionNotification mTransaction)
            throws SecurityException, java.rmi.RemoteException;
    
}