package rmiEcho;

import java.rmi.Naming;

public class RmiEchofloatServer {

	public static void main(String argv[]) {
    
        if(argv.length == 0) {
            System.out.println("Usage java RmiEchoServer objectName");
            System.exit(1);
        }
        
        try {
            System.out.println("Registering EchoImpl object under name " + argv[0]);
            EchofloatImpl impl = new EchofloatImpl();
            Naming.rebind(argv[0], impl);
            System.out.println("EchoImpl object was registered under name " + argv[0]);
        } catch (Exception e) {
            e.printStackTrace();
        }
        
        System.out.println("Exiting");
	}
}
