// CLIENT

package examples.hello;

import java.rmi.*;

public class HelloClient {
    public static void main(String args[])	{
        try {
        
            // 1. client first gets a reference to "HelloServer" 
            //    from the Server's registry.
            Hello obj = (Hello) Naming.lookup("//localhost/HelloServer");
            //  the URL optionally includes the host.  If running both
            //  client and server on the same machine the "//myhost"
            //  prfix may be removed.  Otherwise, you must change the
            //  host "myhost" to the machine name that is hosting
            //  the server piece of this application.
            
            // 2. Client remotely invokes the sayHello method of the 
            //    HelloServer remote object.
            System.out.println("Server returned : " + obj.sayHello());
            
        } catch (Exception e) {
            e.printStackTrace();
        }
	}
}