public class CubbyHole {

	private int contents;
	private boolean sentry = false;

	public synchronized int get() {
    
        System.out.println("Got here A");
        while (sentry == false) {
            try {
                System.out.println("Got here B");
                System.out.println("get() blocking, contents = " + contents + "... ");
                wait();
                System.out.println("Got here C");
            } catch (InterruptedException e) { }
        }
        System.out.println("Got here D");
        sentry = false;
        notifyAll();
        System.out.println("get() returning " + contents);
        System.out.println("Got here E");
        return contents;
	}

	public void put(int value) {
    
        System.out.println("Got here 1");
        synchronized (this) {
            while (sentry == true) {
                try {
                    System.out.println("Got here 2");
                    System.out.println("put(" + value + ") blocking");
                    wait();
                    System.out.println("Got here 3");
                } catch (InterruptedException e) { }
            }
            System.out.println("Got here 4");
            contents = value;
            sentry = true;
            System.out.println("put(" + value + ") returning");
            notifyAll();
            System.out.println("Got here 5");
        }
	}
}
